#
# spec file for package python-flake8-bugbear
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flake8-bugbear
Version:        19.8.0
Release:        bp154.1.23
Summary:        A plugin for flake8 finding likely bugs and design problems in your program
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/PyCQA/flake8-bugbear
Source:         https://files.pythonhosted.org/packages/source/f/flake8-bugbear/flake8-bugbear-%{version}.tar.gz
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module flake8 >= 3.0.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A plugin for Flake8 finding likely bugs and design problems in your
program.  Contains warnings that don't belong in pyflakes and
pycodestyle.

%prep
%setup -q -n flake8-bugbear-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# https://github.com/PyCQA/flake8-bugbear/issues/89
%pytest -k 'not test_selfclean_bugbear'

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 19.8.0:
  * Fix .travis.yml syntax + add Python 3.8 + nightly tests
  * Fix black formatting + enforce via CI
  * Make B901 not apply to __await__ methods
* Mon Apr  1 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 19.3.0:
  * allow 'mcs' for metaclass classmethod first arg (PyCharm default)
  * Introduce B011
  * Introduce B009 and B010
  * Exclude immutable calls like tuple() and frozenset() from B008
  * For B902, the first argument for metaclass class methods can be "mcs", matching the name preferred by PyCharm.
* Fri Nov  2 2018 Matej Cepl <mcepl@suse.com>
- Update to 18.8.0:
  * Exclude immutable calls like tuple() and frozenset() from B008
  * Examine kw-only args for mutable defaults
  * Black all the .py files - Like one should (#48)
  * Add testing and document support for the Python 3.7 release
  * Avoid adding the visitor as an __init__ parameter (Fixes #39)
    (#40)
  * Add trove classifier 'Programming Language :: Python :: 3 :: Only'
  * Fix pathlib link in readme (#36)
* Wed Jul 18 2018 tchvatal@suse.com
- This module requires py3.5+ thus restrict the build
* Tue Jul 10 2018 dmueller@suse.com
- Initial package (18.2)
